Bug 1465146 - fetching list of applicable errata is slow with if lots of hosts need lots of errata
fetching list of applicable errata is slow with if lots of hosts need lots of...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Errata Management (Show other bugs)
6.2.10
Unspecified Unspecified
unspecified Severity high (vote)
: 6.2.14
: --
Assigned To: Justin Sherrill
jcallaha
: FieldEngineering, PrioBumpField, Triaged
Depends On: 1419139 1480355
Blocks: 1482208
  Show dependency treegraph
 
Reported: 2017-06-26 15:00 EDT by Chris Duryee
Modified: 2018-02-07 13:48 EST (History)
11 users (show)

See Also:
Fixed In Version: rubygem-katello-3.0.0.161-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1530699 (view as bug list)
Environment:
Last Closed: 2018-02-05 08:54:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
6.2.11 patch (4.26 KB, patch)
2017-08-16 11:50 EDT, Justin Sherrill
no flags Details | Diff
rhel7_hotfix (3.56 MB, application/x-xz)
2017-09-06 17:29 EDT, Adam Price
no flags Details
rhel6_hotfix (4.23 MB, application/x-xz)
2017-09-06 17:30 EDT, Adam Price
no flags Details
verification screenshot 1 (241.49 KB, image/png)
2018-01-13 17:44 EST, jcallaha
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20167 None None None 2017-06-29 11:47 EDT

  None (edit)
Description Chris Duryee 2017-06-26 15:00:32 EDT
Description of problem:

If you have lots of hosts that need errata, fetching the "applicable" errata can be very slow.

Version-Release number of selected component (if applicable): 6.2.10

How reproducible: every time


Steps to Reproduce:
1. create lots of hosts that have applicable errata, or load up a database with this data
2. go to errata page

Actual results: waiting for minutes if either "applicable" or "installable" are checked

Expected results: page should load within 5-10 seconds
Comment 2 Justin Sherrill 2017-06-29 11:47:03 EDT
Created redmine issue http://projects.theforeman.org/issues/20167 from this bug
Comment 3 pm-sat@redhat.com 2017-06-29 14:18:21 EDT
Upstream bug assigned to jsherril@redhat.com
Comment 4 pm-sat@redhat.com 2017-06-29 14:18:24 EDT
Upstream bug assigned to jsherril@redhat.com
Comment 6 pm-sat@redhat.com 2017-07-12 22:17:04 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20167 has been resolved.
Comment 7 pm-sat@redhat.com 2017-08-03 18:20:16 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20167 has been resolved.
Comment 8 Justin Sherrill 2017-08-16 11:50 EDT
Created attachment 1314237 [details]
6.2.11 patch
Comment 9 Justin Sherrill 2017-08-16 11:52:55 EDT
applying to 6.2.11:

download the patch to /tmp/
cd /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.144/
patch -p1 < /tmp/filename.patch

then restart httpd and foreman-tasks
Comment 11 Adam Price 2017-09-06 17:29 EDT
Created attachment 1322818 [details]
rhel7_hotfix
Comment 12 Adam Price 2017-09-06 17:30 EDT
Created attachment 1322819 [details]
rhel6_hotfix
Comment 13 Adam Price 2017-09-06 17:35:51 EDT
=== HOTFIX INSTRUCTIONS FOR SATELLITE 6.2.11 ONLY ===

1. Download attached file bz1465146-hotfix-rpms-el7sat.tar.xz or bz1465146-hotfix-rpms-el6sat.tar.xz depending on your Satellite host OS version
2. Stop Satellite
  katello-service stop
3. Extract the tarball and install the packages
4. Start Satellite
  katello-service start
Comment 14 jcallaha 2018-01-13 14:37:18 EST
Verified in Satellite 6.2.14 Snap 1.

Registered over 5300 content hosts to the satellite, each with 102 applicable errata. Repeated reloads of the errata page took no more than 9 seconds, including refresh time. Average page load time appears to be around 4-4.5 seconds. 

See attached screenshot for load time confirmation.
Comment 15 jcallaha 2018-01-13 17:44 EST
Created attachment 1380829 [details]
verification screenshot 1
Comment 18 errata-xmlrpc 2018-02-05 08:54:34 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0273

Note You need to log in before you can comment on or make changes to this bug.